Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class FactoryProperty

    java.lang.Object
      org.apache.axis.wsdl.toJava.FactoryProperty

public class FactoryProperty
extends java.lang.Object

This is a general purpose class that allows one to pass name/value properties to the JavaGeneratorFactory.

Author:
  Jim Stafford (jim.stafford@raba.com)

Constructor Summary
`FactoryProperty()`

Method Summary
`boolean` | `equals(java.lang.Object rhs)`
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String string)`
`void` | `setValue(java.lang.String string)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryProperty

    public FactoryProperty()

Method Detail

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### setName

    public void setName(java.lang.String string)

### setValue

    public void setValue(java.lang.String string)

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object rhs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.